=== common/docs/Makefile ===


all: docs

docs:
#	nroff -man libutil.1 > libutil.0
#	nroff -man libutilPVM.1 > libutilPVM.0

install-man:
	cp libutil.1 ../../../man/man1
	cp libutilPVM.1 ../../../man/man1
